%define _unpackaged_files_terminate_build 0
%define dist .annyung
Summary: NSS library for MySQL
Summary(ko): MySQL NSS library
Name: libnss-mysql
Version: 1.5
Release: 1%{?dist}
Epoch: 1
License: GPL
Group: System Environment/Base
URL: http://libnss-mysql.sourceforge.net
Source0: %{name}-%{version}.tar.gz
Patch0: %{name}-official.patch
Patch1: %{name}-multiarch.patch
Patch2: %{name}-annyung.patch
BuildRoot: /var/tmp/%{name}-root
BuildRequires: mysql-devel, libtool, autoconf, automake
Requires: mysql

%description
Store your UNIX user accounts in MySQL. "libnss-mysql" enables the following:

* System-wide authentication and name service using a MySQL database.
  Applications do not need to be MySQL-aware or modified in any way.

* Storing authentication information in a database instead of text files.

* Creation of a single authentication database for multiple servers.
  This is often referred to as the "Single Sign-on" problem.

* Writing data-modification routines (IE self-management web interface).

libnss-mysql is similar to NIS or LDAP. It provides the same centralized
authentication service through a database. What does this mean? Username,
uid, gid, password, etc comes from a MySQL database instead of
/etc/password, /etc/shadow, and /etc/group. A user configured in MySQL will
look and behave just like a user configured in /etc/passwd. Your
applications such as ls, finger, sendmail, qmail, exim, postfix, proftpd,
X, sshd, etc. will all 'see' these users!

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
touch aux/mkinstalldirs
libtoolize -f
autoreconf -f
%configure

%{__make} %{?_smp_mflags}
rm -rf sample/freebsd sample/solaris

%install
[ -d %{buildroot} -a "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}/{etc/mysql,%{_libdir}}
%{__make} DESTDIR=%{buildroot} install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%exclude %{_libdir}/libnss_mysql.la
%exclude %{_libdir}/*.so
%{_libdir}/*.so.*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/mysql/libnss-mysql.cfg
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/mysql/libnss-mysql-root.cfg
#doc README ChangeLog AUTHORS THANKS NEWS COPYING FAQ DEBUGGING UPGRADING TODO
#doc sample

%changelog
* Tue Dec 22 2009 JoungKyun.Kim <http://oops.org> 1:1.5-1
- packaged with fc12
- add patch for libnss-mysql-20060915 snapshot
